=== modified file 'baz_import.py'
--- baz_import.py	2006-02-28 17:17:59 +0000
+++ baz_import.py	2006-02-28 18:56:52 +0000
@@ -37,6 +37,7 @@
 import os.path
 import shutil
 import bzrlib
+import bzrlib.builtins
 import bzrlib.trace
 import bzrlib.merge
 import bzrlib.inventory
@@ -255,7 +256,8 @@
             else:
                 raise
         try:
-            copy_branch(br_from, to_location, revision_id, None)
+            br_from.bzrdir.clone(to_location, revision_id)
+#            copy_branch(br_from, to_location, revision_id, None)
         except NoSuchRevision:
             rmtree(to_location)
             msg = "The branch %s has no revision %s." % (from_location, revision_id)
@@ -421,9 +423,7 @@
                 os.rename(bzr_dir, tmp_bzr_dir) # Move the original bzr out of the way
                 os.rename(new_bzr_dir, bzr_dir)
                 try:
-                    bzrlib.merge.merge((output_dir, -1), (output_dir, None), # old_revno), 
-                                       check_clean=False, this_dir=output_dir, 
-                                       ignore_zero=True)
+                    WorkingTree.open_containing(output_dir)[0].revert([])
                 except:
                     # If something failed, move back the original bzr directory
                     os.rename(bzr_dir, new_bzr_dir)
@@ -432,9 +432,10 @@
             else:
                 # no imports - perhaps just append_revisions
                 # should not fail:
-                bzrlib.merge.merge((output_dir, -1), (output_dir, None), # old_revno), 
-                                   check_clean=False, this_dir=output_dir, 
-                                   ignore_zero=True)
+                WorkingTree.open_containing(output_dir)[0].revert([])
+                #bzrlib.builtins.merge((output_dir, -1), (output_dir, None), # old_revno), 
+                #                   check_clean=False, this_dir=output_dir, 
+                #                   ignore_zero=True)
         else:
             revdir = os.path.join(tempdir, "rd")
             os.rename(revdir, output_dir)
@@ -535,7 +536,7 @@
         if revdir is None and os.path.exists(output_dir):
             # check for imported revisions and if present just append immediately
             branch = Branch.open(output_dir)
-            if branch.has_revision(rev_id):
+            if branch.repository.has_revision(rev_id):
                 branch.append_revision(rev_id)
                 continue
         if revdir is None:

=== modified file 'tests/test_baz_import.py'
--- tests/test_baz_import.py	2006-02-28 17:17:59 +0000
+++ tests/test_baz_import.py	2006-02-28 18:56:52 +0000
@@ -24,7 +24,6 @@
 import os
 from bzrlib.plugins.bzrtools.baz_import import (import_version, revision_id, 
                                                 cmd_baz_import)
-from bzrlib.plugins.errors import NoTestResources
 from bzrlib.errors import NoSuchRevision
 import shutil
 from StringIO import StringIO
@@ -210,13 +209,13 @@
         branch = Branch.open('output')
         self.assertEqual(branch.revision_history(),
                          ['Arch-1:demo@DONOTUSE%c--import--0--base-0'])
-        rev = branch.get_revision('Arch-1:demo@DONOTUSE%c--import--0--base-0')
+        rev = branch.repository.get_revision('Arch-1:demo@DONOTUSE%c--import--0--base-0')
         # and again.
         import_version('output2', pybaz.Version('demo@DONOTUSE/c--import--0'),
                        self.collect)
         branch2 = Branch.open('output2')
         self.assertEqual(branch.revision_history(), branch2.revision_history())
-        rev2 = branch2.get_revision('Arch-1:demo@DONOTUSE%c--import--0--base-0')
+        rev2 = branch2.repository.get_revision('Arch-1:demo@DONOTUSE%c--import--0--base-0')
         # they must be the same
         self.assertEqual(rev, rev2)
 
@@ -237,13 +236,13 @@
         self.assertEqual(branch.revision_history(),
                          ['Arch-1:demo@DONOTUSE%c--import--0--base-0',
                           self._baz._empty_tag_bzr])
-        rev = branch.get_revision(self._baz._empty_tag_bzr)
+        rev = branch.repository.get_revision(self._baz._empty_tag_bzr)
         # and again.
         import_version('output2', pybaz.Version(self._baz._empty_tag),
                        self.collect)
         branch2 = Branch.open('output2')
         self.assertEqual(branch.revision_history(), branch2.revision_history())
-        rev2 = branch2.get_revision(self._baz._empty_tag_bzr)
+        rev2 = branch2.repository.get_revision(self._baz._empty_tag_bzr)
         # they must be the same
         self.assertEqual(rev, rev2)
 
@@ -279,8 +278,8 @@
         self.assertEqual(branch.revision_history(), branch2.revision_history())
         self.assertNotEqual(branch.revision_history(), branch3.revision_history())
         # check revisions in the history.
-        rev = branch.get_revision(self._baz._empty_merged_tag_bzr_base)
-        rev2 = branch2.get_revision(self._baz._empty_merged_tag_bzr_base)
+        rev = branch.repository.get_revision(self._baz._empty_merged_tag_bzr_base)
+        rev2 = branch2.repository.get_revision(self._baz._empty_merged_tag_bzr_base)
         # they must be the same
         self.assertEqual(rev, rev2)
         # and we should get some expected values:
@@ -291,8 +290,8 @@
                          rev.parent_ids)
 
         # check next revisions in the history.
-        rev = branch.get_revision(self._baz._empty_merged_tag_bzr)
-        rev2 = branch2.get_revision(self._baz._empty_merged_tag_bzr)
+        rev = branch.repository.get_revision(self._baz._empty_merged_tag_bzr)
+        rev2 = branch2.repository.get_revision(self._baz._empty_merged_tag_bzr)
         # they must be the same
         self.assertEqual(rev, rev2)
         # and we should get some expected values:
@@ -334,8 +333,8 @@
         self.assertEqual(branch.revision_history(), branch2.revision_history())
         self.assertNotEqual(branch.revision_history(), branch3.revision_history())
         # check revisions in the history.
-        rev = branch.get_revision(self._baz._empty_merged_tag_2_bzr_base)
-        rev2 = branch2.get_revision(self._baz._empty_merged_tag_2_bzr_base)
+        rev = branch.repository.get_revision(self._baz._empty_merged_tag_2_bzr_base)
+        rev2 = branch2.repository.get_revision(self._baz._empty_merged_tag_2_bzr_base)
         # they must be the same
         self.assertEqual(rev, rev2)
         # and we should get some expected values:
@@ -344,8 +343,8 @@
         self.assertEqual(rev.revision_id, self._baz._empty_merged_tag_2_bzr_base)
 
         # check next revisions in the history.
-        rev = branch.get_revision(self._baz._empty_merged_tag_2_bzr)
-        rev2 = branch2.get_revision(self._baz._empty_merged_tag_2_bzr)
+        rev = branch.repository.get_revision(self._baz._empty_merged_tag_2_bzr)
+        rev2 = branch2.repository.get_revision(self._baz._empty_merged_tag_2_bzr)
         # they must be the same
         self.assertEqual(rev, rev2)
         # and we should get some expected values:
@@ -369,13 +368,13 @@
         branch = Branch.open('output')
         self.assertEqual(branch.revision_history(),
                          [self._baz._import_symlink_bzr])
-        rev = branch.get_revision(self._baz._import_symlink_bzr)
+        rev = branch.repository.get_revision(self._baz._import_symlink_bzr)
         # and again.
         import_version('output2', pybaz.Version(self._baz._import_symlink),
                        self.collect)
         branch2 = Branch.open('output2')
         self.assertEqual(branch.revision_history(), branch2.revision_history())
-        rev2 = branch2.get_revision(self._baz._import_symlink_bzr)
+        rev2 = branch2.repository.get_revision(self._baz._import_symlink_bzr)
         # they must be the same
         self.assertEqual(rev, rev2)
 
@@ -385,7 +384,7 @@
         self.assertEqual(rev.revision_id, self._baz._import_symlink_bzr)
 
         # and we want the symlink alink with target 'missing-file-name'
-        inv = branch.get_inventory(rev.revision_id)
+        inv = branch.repository.get_inventory(rev.revision_id)
         self.assertEqual(inv.path2id('alink'), 'x_symlink_tag')
         entry = inv['x_symlink_tag']
         self.assertEqual(entry.kind, 'symlink')
@@ -401,13 +400,13 @@
         branch = Branch.open('output')
         self.assertEqual(branch.revision_history(),
                          [self._baz._missing_ancestor_bzr])
-        rev = branch.get_revision(self._baz._missing_ancestor_bzr)
+        rev = branch.repository.get_revision(self._baz._missing_ancestor_bzr)
         # and again.
         import_version('output2', pybaz.Version(self._baz._missing_ancestor),
                        self.collect)
         branch2 = Branch.open('output2')
         self.assertEqual(branch.revision_history(), branch2.revision_history())
-        rev2 = branch2.get_revision(self._baz._missing_ancestor_bzr)
+        rev2 = branch2.repository.get_revision(self._baz._missing_ancestor_bzr)
         # they must be the same
         self.assertEqual(rev, rev2)
 
@@ -419,7 +418,7 @@
         self.assertEqual(1, len(rev.parent_ids))
 
         # must NOT be able to get the merged evision
-        self.assertRaises(NoSuchRevision, branch.get_revision, 
+        self.assertRaises(NoSuchRevision, branch.repository.get_revision, 
                           self._baz._missing_import_bzr)
 
     def test_missing_ancestor_reusing_history(self):
@@ -434,19 +433,19 @@
         self.assertEqual(branch.revision_history(),
                          [self._baz._missing_import_bzr,
                           self._baz._missing_ancestor_bzr])
-        rev = branch.get_revision(self._baz._missing_ancestor_bzr)
+        rev = branch.repository.get_revision(self._baz._missing_ancestor_bzr)
         # and again.
         import_version('output2', pybaz.Version(self._baz._missing_ancestor),
                        self.collect,
                        reuse_history_from=[self._baz._missing_import_imported])
         branch2 = Branch.open('output2')
         self.assertEqual(branch.revision_history(), branch2.revision_history())
-        rev2 = branch2.get_revision(self._baz._missing_ancestor_bzr)
+        rev2 = branch2.repository.get_revision(self._baz._missing_ancestor_bzr)
         # they must be the same
         self.assertEqual(rev, rev2)
 
         # must be able to get the missing base revision
-        branch.get_revision(self._baz._missing_import_bzr)
+        branch.repository.get_revision(self._baz._missing_import_bzr)
 
         # and we should get some expected values:
         self.assertEqual(rev.committer, "Test User<test@example.org>")
@@ -468,8 +467,8 @@
                          ['Arch-1:demo@DONOTUSE%c--import--0--base-0',
                           self._baz._bad_id_tag_bzr_base,
                           self._baz._bad_id_tag_bzr])
-        rev = branch.get_revision(self._baz._bad_id_tag_bzr)
-        inv = branch.get_inventory(self._baz._bad_id_tag_bzr)
+        rev = branch.repository.get_revision(self._baz._bad_id_tag_bzr)
+        inv = branch.repository.get_inventory(self._baz._bad_id_tag_bzr)
         self.assertEqual(inv.path2id('path'), 'x_this_id%2fneeds%25escaping')
         self.assertEqual('path', inv.id2path('x_this_id%2fneeds%25escaping'))
 
@@ -499,8 +498,8 @@
                          ['Arch-1:demo@DONOTUSE%c--import--0--base-0',
                           self._baz._bad_id_tag_bzr_base,
                           self._baz._bad_id_tag_bzr])
-        rev = branch.get_revision(self._baz._bad_id_tag_bzr)
-        inv = branch.get_inventory(self._baz._bad_id_tag_bzr)
+        rev = branch.repository.get_revision(self._baz._bad_id_tag_bzr)
+        inv = branch.repository.get_inventory(self._baz._bad_id_tag_bzr)
         self.assertEqual(inv.path2id('path'), 'x_this_id%2fneeds%25escaping')
         self.assertEqual('path', inv.id2path('x_this_id%2fneeds%25escaping'))
 
@@ -531,8 +530,8 @@
                          ['Arch-1:demo@DONOTUSE%c--import--0--base-0',
                           self._baz._bad_id_tag_bzr_base,
                           self._baz._bad_id_tag_bzr])
-        rev = branch.get_revision(self._baz._bad_id_tag_bzr)
-        inv = branch.get_inventory(self._baz._bad_id_tag_bzr)
+        rev = branch.repository.get_revision(self._baz._bad_id_tag_bzr)
+        inv = branch.repository.get_inventory(self._baz._bad_id_tag_bzr)
         self.assertEqual(inv.path2id('path'), 'x_this_id%2fneeds%25escaping')
         self.assertEqual('path', inv.id2path('x_this_id%2fneeds%25escaping'))
 

